Results 1 to 8 of 8

Thread: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

  1. #1

    Default Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    Hi All,

    I am working on Gnome Desktop.

    While adding 'languagetool 4.1' extension to LibreOffice 6, I get the following error:

    '(com.sun.star.uno.RuntimeException) { { Message = "javaloader error - could not find class com/sun/star/comp/loader/JavaLoader", Context = (com.sun.star.uno.XInterface) @0 } }'

    OpenJDK 8 Runtime Environment is already installed.

    Checking at the website of languagetool, I did not get any solution. I have given this error to their forum as well, (https://forum.languagetool.org) but have not received any response yet.

    I checked here as well but could not find a solution in the previous replies.
    Hence, I am requesting if someone could suggest a solution. If a bug report is to be raised, I am clueless how to do that.

    Guidance shall be most appreciated.

    Thanks & Regards'

    RSP2

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,840
    Blog Entries
    14

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    In LibreOffice - Extra - Options - Advanced make sure you've selected the java version. It will restart LibreOffice, then try again to add the language tool.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

  4. #4

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    Hi Knurpht,

    Searched on Google for oracle Java and found 'one-click install' for Leap 42.3 at https://software.opensuse.org/package/java-1_8_0-oracle. I installed the same and repeated the steps you had given earlier. There is a new installation of 'Oracle Corporation java version 1.8.0_162' shown in the Java runtime environment list and it is automatically selected. On checking up in '/usr' the following libs are found:
    /usr/lib64/jvm/java-1.8.0-oracle-1.8.0
    /usr/lib64/jvm/java-1.8.0-oracle-1.8.0/jre/bin/java
    /usr/lib64/jvm/java-1.8.0-oracle-1.8.0/jre/bin/javaws

    I do not know, which one of these should be pointed to when 'Add' button is selected.
    Then there is the further question of 'java start parameters' and the 'class path'.

    You will be able to figure these out. Request further guidance plase.

    Thanks and regards.

    RSP2

  5. #5

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    It's a bug in the libreoffice packages in the 42.3 update repo:
    https://bugzilla.opensuse.org/show_bug.cgi?id=1079744

    Installing a different Java version (or selecting one in LO) won't help, some of the java classes included in LO itself are broken/incomplete.
    This only applies to the packages in the 42.3 update repo though for some (unknown) reason, the ones in LibreOffice:6.0 should be fine.
    http://download.opensuse.org/reposit...USE_Leap_42.3/

    Or upgrade to Leap 15.0.
    Last edited by wolfi323; 17-May-2018 at 05:21.

  6. #6

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    Hi Wolfi323,

    Many thanks for your reply.

    I am already running LibreOffice Version Version: 6.0.3.2 Build ID: 00m0(Build:2). This problem continues with this version as well. It may be set right perhaps only when someone attends to the Bug Report.

    I am not sure what I should do. I do not like the idea of upgrading the system t0 Leap 15 etc. My system is working OK with Leap 42.3 except that I am not able to operate the language tool for checking grammar. Spellcheck is working fine.

    Shall probably wait till the Bug is worked on by experts!!!

    Many thanks once again.

    Lot of Regards,

    RSP2

  7. #7

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    Quote Originally Posted by rsp2 View Post
    I am already running LibreOffice Version Version: 6.0.3.2 Build ID: 00m0(Build:2). This problem continues with this version as well. It may be set right perhaps only when someone attends to the Bug Report.
    The current version is 6.0.4.2.

    But as I wrote, the one from the 42.3 update repo is "broken".
    Add the above-mentioned repo and install libreoffice from there:
    Code:
    sudo zypper ar -f http://download.opensuse.org/repositories/LibreOffice:/6.0/openSUSE_Leap_42.3/ libreoffice
    sudo zypper dup --from libreoffice
    (or do it via YaST, either click on "Versions" to explicitly choose the exact package after you added the repo, or select the repo in View->Repositories and click on "Switch system packages to the versions from this repo" above the package list)

  8. #8

    Default Re: Languagetool 4.1: Error while adding it with Extension Manager in LibreOffice 6.

    Hi Wolfi323,

    Thanks a lot. I am sorry I did not follow you in the first place. Thanks for the enlightening code etc. This time the Language Extension got loaded. It is working fine.

    I have always received the best of support from the Forum. God Bless you all!

    Lots of Regards,

    RSP2

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •